%global namedreltag -SNAPSHOT
%global namedversion %{version}%{?namedreltag}
%global base_name cli2
%global short_name commons-%{base_name}
Name:          apache-%{short_name}
Version:       2.0
Release:       %mkrel 5
Summary:       Commons CLI2
Group:         Development/Java
License:       ASL 2,0
Url:           http://commons.apache.org/cli/
# svn export http://svn.apache.org/repos/asf/commons/sandbox/cli2/trunk apache-commons-cli2-2.0-SNAPSHOT
# tar czf apache-commons-cli2-2.0-SNAPSHOT-src-svn.tar.gz apache-commons-cli2-2.0-SNAPSHOT
Source0:       apache-commons-cli2-%{namedversion}-src-svn.tar.gz
# ant build.* files
Source1:       apache-commons-cli2-%{namedversion}-autogeneratedfiles.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: apache-commons-sandbox-parent

BuildRequires: maven-local
BuildRequires: maven-ant-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-changes-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-cobertura

BuildRequires: jdepend
BuildRequires: junit

BuildArch:     noarch

%description
Commons CLI2 provides a simple API for presenting, processing and validating a command line interface.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

for c in $(find . -name "*.class"); do
  rm -rf $c
done

sed -i 's/\r//' LICENSE.txt NOTICE.txt README.txt RELEASE-NOTES.txt

%mvn_file :%{short_name} %{name}
%mvn_file :%{short_name} %{short_name}

%build

%mvn_build -- -Dmaven.compile.source=1.5 -Dmaven.compile.target=1.5

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt README.txt RELEASE-NOTES.txt

%files -f .mfiles-javadoc


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.0-5.mga4
+ Revision: 545569
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 2.0-4.mga4
+ Revision: 501427
- Build with xmvn

* Fri Jan 11 2013 umeabot <umeabot> 2.0-3.mga3
+ Revision: 345652
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 dmorgan <dmorgan> 2.0-2.mga3
+ Revision: 342922
- Remove findbugs-maven-plugin deps

* Sun Nov 27 2011 gil <gil> 2.0-1.mga2
+ Revision: 172674
- imported package apache-commons-cli2

